classification
Title: Make test_gdb work on HP-UX
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: michael-o, miss-islington, terry.reedy, vstinner
Priority: normal Keywords: patch

Created on 2018-08-14 11:54 by michael-o, last changed 2020-06-11 14:08 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 8828 closed michael-o, 2018-08-20 07:40
PR 20804 merged vstinner, 2020-06-11 13:28
PR 20805 merged miss-islington, 2020-06-11 13:48
PR 20806 merged miss-islington, 2020-06-11 13:48
Messages (7)
msg323508 - (view) Author: Michael Osipov (michael-o) * Date: 2018-08-14 11:54
Regex in test_gdb.py needs to be changed and test can continue, though will be skipped due to old version.
msg323679 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-08-17 22:12
Why did you put '[SOLUTION]' in the title?  We do not use such conventions, and you provide no solution.

Why did you mark this as 'crash'?  What is the actual failure?
msg323727 - (view) Author: Michael Osipov (michael-o) * Date: 2018-08-18 18:51
My bad, I initially had attached a patch as you can see, but will turn that into a PR on GitHub on Monday. That's why I had that label, but removed the patch.

It doesn't crash, it is rather a behavior/regex issue in the test.

Thanks for pointing out. Will get to you with a solution on Monday.
msg371281 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-06-11 13:48
New changeset b2dca49ca3769cb60713f5c2b43e5d5bbdc1f9c7 by Victor Stinner in branch 'master':
bpo-34401: Fix test_gdb for HP GDB version string (GH-20804)
https://github.com/python/cpython/commit/b2dca49ca3769cb60713f5c2b43e5d5bbdc1f9c7
msg371282 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-06-11 13:52
Thanks Michael Osipov for the fix! It's already merged into the master branch and will be merged into 3.8 and 3.9 branches as soon as the CI tests pass on the two backport PRs.

I don't think that it's worth it to backport the fix to 3.7: this branch is close to move to security fixes only. I prefer to reduce any risk of regression.
msg371283 - (view) Author: miss-islington (miss-islington) Date: 2020-06-11 14:07
New changeset 5b8e3a533560c39eb40b2fb950d2b14caacfaf6a by Miss Islington (bot) in branch '3.8':
bpo-34401: Fix test_gdb for HP GDB version string (GH-20804)
https://github.com/python/cpython/commit/5b8e3a533560c39eb40b2fb950d2b14caacfaf6a
msg371284 - (view) Author: miss-islington (miss-islington) Date: 2020-06-11 14:08
New changeset 2f46c65071c5528ce143bd02786f8fe94fe65d1f by Miss Islington (bot) in branch '3.9':
bpo-34401: Fix test_gdb for HP GDB version string (GH-20804)
https://github.com/python/cpython/commit/2f46c65071c5528ce143bd02786f8fe94fe65d1f
History
Date User Action Args
2020-06-11 14:08:34miss-islingtonsetmessages: + msg371284
2020-06-11 14:07:43miss-islingtonsetmessages: + msg371283
2020-06-11 13:52:12vstinnersetstatus: open -> closed
versions: + Python 3.9, Python 3.10, - Python 3.6, Python 3.7
messages: + msg371282

resolution: fixed
stage: patch review -> resolved
2020-06-11 13:48:26miss-islingtonsetpull_requests: + pull_request20002
2020-06-11 13:48:21miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request20001
2020-06-11 13:48:07vstinnersetmessages: + msg371281
2020-06-11 13:28:50vstinnersetnosy: + vstinner
pull_requests: + pull_request20000
2018-08-21 09:03:49michael-osetversions: + Python 3.6, Python 3.8
2018-08-20 07:40:35michael-osetstage: patch review
pull_requests: + pull_request8307
2018-08-18 18:51:53michael-osettype: crash -> behavior
messages: + msg323727
title: [SOLUTION] Make test_gdb work on HP-UX -> Make test_gdb work on HP-UX
2018-08-17 22:12:00terry.reedysetnosy: + terry.reedy
messages: + msg323679
2018-08-16 14:46:03michael-osetfiles: - test_gdb.patch
2018-08-15 11:53:27michael-osettitle: [solution] Make test_gdb work on HP-UX -> [SOLUTION] Make test_gdb work on HP-UX
2018-08-14 12:40:23michael-osettitle: Make test_gdb work on HP-UX -> [solution] Make test_gdb work on HP-UX
2018-08-14 12:01:14michael-osettype: crash
2018-08-14 11:54:16michael-ocreate